////////////////////////////////////////////////////////////////////////
//  
//  ALT Library File: Enterable 010123
//
//  Copyright (c) 2000, 2001 Kevin Forchione. All rights reserved.
//  Based on ADV.T (c) and STD.T (c) Michael Roberts.
//
//  This file is part of the ALT replacement library for ADV.T and 
//  STD.T and requires TADS 2.5.1 or later.
//
////////////////////////////////////////////////////////////////////////

#ifndef _ENTERABLE_H_
#define _ENTERABLE_H_

#include <enterableactionable.h>
#include <enterabledisplayable.h>
#include <enterabletravelable.h>

#pragma C+

/*----------------------------------------------------------------------
 *  MIX-IN CLASS:   This class must always preced any non-mix-in classes
 *                  in a superclass list - this is required because a
 *                  mix-in can't override default methods in the root of
 *                  the hierarchy.
 *--------------------------------------------------------------------*/

/*
 *  Enterable: EnterableActionable, EnterableDisplayable, 
 *      EnterableTravelable
 */
class Enterable: EnterableActionable, EnterableDisplayable, 
    EnterableTravelable
;

#pragma C-

#endif /* _ENTERABLE_H_ */
